Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model
Interface DataControl

All Superinterfaces:
  java.util.Map

All Known Subinterfaces:
  CustomDefDataControl, ManagedDataControl, TransactionalDataControl

public interface DataControl
extends java.util.Map

DataControl is a collection of DataControls accessed by their key This is only for internal purposes and implementing just this interface will not work in ADF 9.0.5.1. This interface exists for future api needs.

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`static int` | `REL_ALL_REFS` Release all references held in the data control.
`static int` | `REL_DATA_REFS` Release only the data provider (Business Service) references
`static int` | `REL_VIEW_REFS` Hold on to the data references and release the View references if held on the datacontrol.
`static int` | `REL_WEAK_DATA_REFS` This is a weak data release.

Method Summary
`java.lang.Object` | `getDataProvider()` Return the Business Service Object that this datacontrol is associated with.
`java.lang.String` | `getName()` Returns name to identify this datacontrol.
`void` | `release(int flags)` Based on the value of the flags parameter, releases all references to the objects in the data provider layer Valid values for flags are: `REL_ALL_REFS` - if this data control should release all references to both the view and model objects.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### REL_ALL_REFS

    public static final int REL_ALL_REFS

  Release all references held in the data control.
  See Also:
    Constant Field Values

### REL_DATA_REFS

    public static final int REL_DATA_REFS

  Release only the data provider (Business Service) references
  See Also:
    Constant Field Values

### REL_VIEW_REFS

    public static final int REL_VIEW_REFS

  Hold on to the data references and release the View references if held on the datacontrol. This should be internal to ADFm implementation and may not be exposed in the JSR.
  See Also:
    Constant Field Values

### REL_WEAK_DATA_REFS

    public static final int REL_WEAK_DATA_REFS

  This is a weak data release. This may be specified by a DataControl to release data refs that do not rely upon any session state like iterator currency. These references are typical cache references and may be rebuilt at any time using the DataControl. For example, BC4J uses this release flag to release JUCtrlListBinding references to BC4J rows. These rows are cached for performance but also may be re-fetched from the DataControl at any time.
  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Returns name to identify this datacontrol. - unused.

### release

    public void release(int flags)

  Based on the value of the flags parameter, releases all references to the objects in the data provider layer Valid values for flags are:
  - `REL_ALL_REFS` - if this data control should release all references to both the view and model objects.
  - `REL_DATA_REFS` - if this data control should release all references to data provider objects. The likely usage would be when say an Application Module is to be checked into a pool and this data-control may be given that or another checked out AM to work with subsequently.
  - `REL_VIEW_REFS` - if this data control should release all references to the UI/View layer objects.

### getDataProvider

    public java.lang.Object getDataProvider()

  Return the Business Service Object that this datacontrol is associated with.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.